
/* Background color */
.bg-black {
  background-color: #000 !important;
}

.bg-gray-100 {
  background-color: #f5f7f9 !important;
}

.bg-gray-200 {
  background-color: #eaecf1 !important;
}

.bg-gray-300 {
  background-color: #d8dde6 !important;
}

.bg-gray-400 {
  background-color: #b2c0d0 !important;
}

.bg-gray-500 {
  background-color: #8d9caf !important;
}

.bg-gray-600 {
  background-color: #414455 !important;
}

.bg-gray-700 {
  background-color: #333645 !important;
}

.bg-gray-800 {
  background-color: #252734 !important;
}

.bg-gray-900 {
  background-color: #1d1e29 !important;
}

.bg-soft-primary {
  background-color: rgba(5, 12, 221, 0.1) !important;
}

.bg-soft-secondary {
  background-color: rgba(65, 68, 85, 0.1) !important;
}

.bg-soft-success {
  background-color: rgba(33, 206, 91, 0.1) !important;
}

.bg-soft-info {
  background-color: rgba(63, 196, 227, 0.1) !important;
}

.bg-soft-warning {
  background-color: rgba(243, 237, 79, 0.1) !important;
}

.bg-soft-danger {
  background-color: rgba(255, 91, 92, 0.1) !important;
}

.bg-soft-light {
  background-color: rgba(245, 247, 249, 0.1) !important;
}

.bg-soft-dark {
  background-color: rgba(29, 30, 41, 0.1) !important;
}

.bg-soft-white {
  background-color: rgba(255, 255, 255, 0.1) !important;
}

/* Background gradient */
.bg-gradient-h-primary-transparent {
  background: linear-gradient(to right, #050cdd 0%, rgba(5, 12, 221, 0) 100%);
}

.bg-gradient-h-indigo-transparent {
  background: linear-gradient(to right, #4b21ff 0%, rgba(75, 33, 255, 0) 100%);
}

.bg-gradient-h-dark-transparent {
  background: linear-gradient(to right, #1d1e29 0%, rgba(29, 30, 41, 0) 100%);
}

.bg-gradient-h-white-transparent {
  background: linear-gradient(to right, white 0%, rgba(255, 255, 255, 0) 100%);
}

.bg-gradient-h-black-transparent {
  background: linear-gradient(to right, black 0%, rgba(0, 0, 0, 0) 100%);
}

.bg-gradient-h-transparent-primary {
  background: linear-gradient(to right, rgba(5, 12, 221, 0) 0%, #050cdd 100%);
}

.bg-gradient-h-transparent-indigo {
  background: linear-gradient(to right, rgba(75, 33, 255, 0) 0%, #4b21ff 100%);
}

.bg-gradient-h-transparent-dark {
  background: linear-gradient(to right, rgba(29, 30, 41, 0) 0%, #1d1e29 100%);
}

.bg-gradient-h-transparent-white {
  background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, white 100%);
}

.bg-gradient-h-transparent-black {
  background: linear-gradient(to right, rgba(0, 0, 0, 0) 0%, black 100%);
}

.bg-gradient-v-primary-transparent {
  background: linear-gradient(to bottom, #050cdd 0%, rgba(5, 12, 221, 0) 100%);
}

.bg-gradient-v-indigo-transparent {
  background: linear-gradient(to bottom, #4b21ff 0%, rgba(75, 33, 255, 0) 100%);
}

.bg-gradient-v-dark-transparent {
  background: linear-gradient(to bottom, #1d1e29 0%, rgba(29, 30, 41, 0) 100%);
}

.bg-gradient-v-white-transparent {
  background: linear-gradient(to bottom, white 0%, rgba(255, 255, 255, 0) 100%);
}

.bg-gradient-v-black-transparent {
  background: linear-gradient(to bottom, black 0%, rgba(0, 0, 0, 0) 100%);
}

.bg-gradient-v-transparent-primary {
  background: linear-gradient(to bottom, rgba(5, 12, 221, 0) 0%, #050cdd 100%);
}

.bg-gradient-v-transparent-indigo {
  background: linear-gradient(to bottom, rgba(75, 33, 255, 0) 0%, #4b21ff 100%);
}

.bg-gradient-v-transparent-dark {
  background: linear-gradient(to bottom, rgba(29, 30, 41, 0) 0%, #1d1e29 100%);
}

.bg-gradient-v-transparent-white {
  background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0%, white 100%);
}

.bg-gradient-v-transparent-black {
  background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, black 100%);
}



/* Border radius */
.rounded-1x {border-radius: 0.25rem}
.rounded-2x {border-radius: 0.5rem}
.rounded-3x {border-radius: 1rem}
.rounded-4x {border-radius: 1.5rem}
.rounded-5x {border-radius: 2rem}

/* Shadows */
.shadow-light {box-shadow: 0 0.5rem 1.5rem rgba(37, 39, 52, 0.05) !important}
.shadow-light-lg {box-shadow: 0 1.5rem 4rem rgba(37, 39, 52, 0.05) !important}
.shadow-dark {box-shadow: 0 0.5rem 1.5rem rgba(0, 0, 0, 0.12) !important}
.shadow-dark-lg {box-shadow: 0 1.5rem 4rem rgba(0, 0, 0, 0.12) !important}

.shadow-lift {
  transition: all 0.3s ease-in-out;
}

.shadow-lift:hover {
  transform: translate3d(0, -0.125rem, 0);
}

.shadow-light.shadow-lift:hover {
  box-shadow: 0 0.75rem 1.75rem rgba(37, 39, 52, 0.1) !important;
}

.shadow-light-lg.shadow-lift:hover {
  box-shadow: 0 1.57rem 4.5rem rgba(37, 39, 52, 0.1) !important;
}

.shadow-dark.shadow-lift:hover {
  box-shadow: 0 0.75rem 1.75rem rgba(0, 0, 0, 0.2) !important;
}

.shadow-dark-lg.shadow-lift:hover {
  box-shadow: 0 1.75rem 4.5rem rgba(0, 0, 0, 0.2) !important;
}

.shadow-neumorphic-primary {
  box-shadow: 20px 20px 60px #040abc, -20px -20px 60px #060efe;
}

.shadow-neumorphic-secondary {
  box-shadow: 20px 20px 60px #646f7e, -20px -20px 60px #8897aa;
}

.shadow-neumorphic-light {
  box-shadow: 20px 20px 60px #cfd0d2, -20px -20px 60px #ffffff;
}

.shadow-neumorphic-dark {
  box-shadow: 20px 20px 60px #0f0f15, -20px -20px 60px #2c2d3e;
}

.shadow-neumorphic-white {
  box-shadow: 20px 20px 60px #d9d9d9, -20px -20px 60px #fff;
}

/* Position spaces */
.top-0 {top: 0 !important}
.top-auto {top: auto !important}
.bottom-0 {bottom: 0 !important}
.bottom-auto {bottom: auto !important}
.left-0 {left: 0}
.left-auto {left: auto !important}
.right-0 {right: 0 !important}
.right-auto {right: auto !important}

/* Sizing */
.mw-25 {max-width: 25% !important}
.min-vw-25 {min-width: 25vw !important}
.vw-25 {width: 25vw !important}
.min-vh-25 {min-height: 25vh !important}
.vh-25 {height: 25vh !important}
.mw-50 {max-width: 50% !important}
.min-vw-50 {min-width: 50vw !important}
.vw-50 {width: 50vw !important}
.min-vh-50 {min-height: 50vh !important}
.vh-50 {height: 50vh !important}
.mw-75 {max-width: 75% !important}
.min-vw-75 {min-width: 75vw !important}
.vw-75 {width: 75vw !important}
.min-vh-75 {min-height: 75vh !important}
.vh-75 {height: 75vh !important}

@media (min-width: 576px) {
  .w-sm-25 {width: 25% !important}
  .h-sm-25 {height: 25% !important}
  .mw-sm-25 {max-width: 25% !important}
  .min-vw-sm-25 {min-width: 25vw}
  .vw-sm-25 {width: 25vw !important}
  .min-vh-sm-25 {min-height: 25vh}
  .vh-sm-25 {height: 25vh !important}
  .w-sm-50 {width: 50% !important}
  .h-sm-50 {height: 50% !important}
  .mw-sm-50 {max-width: 50% !important}
  .min-vw-sm-50 {min-width: 50vw}
  .vw-sm-50 {width: 50vw !important}
  .min-vh-sm-50 {min-height: 50vh}
  .vh-sm-50 {height: 50vh !important}
  .w-sm-75 {width: 75% !important}
  .h-sm-75 {height: 75% !important}
  .mw-sm-75 {max-width: 75% !important}
  .min-vw-sm-75 {min-width: 75vw}
  .vw-sm-75 {width: 75vw !important}
  .min-vh-sm-75 {min-height: 75vh}
  .vh-sm-75 {height: 75vh !important}
  .w-sm-100 {width: 100% !important}
  .h-sm-100 {height: 100% !important}
  .mw-sm-100 {max-width: 100% !important}
  .min-vw-sm-100 {min-width: 100vw}
  .vw-sm-100 {width: 100vw !important}
  .min-vh-sm-100 {min-height: 100vh}
  .vh-sm-100 {height: 100vh !important}
  .w-sm-auto {width: auto !important}
  .h-sm-auto {height: auto !important}
}

@media (min-width: 768px) {
  .w-md-25 {width: 25% !important}
  .h-md-25 {height: 25% !important}
  .mw-md-25 {max-width: 25% !important}
  .min-vw-md-25 {min-width: 25vw}
  .vw-md-25 {width: 25vw !important}
  .min-vh-md-25 {min-height: 25vh}
  .vh-md-25 {height: 25vh !important}
  .w-md-50 {width: 50% !important}
  .h-md-50 {height: 50% !important}
  .mw-md-50 {max-width: 50% !important}
  .min-vw-md-50 {min-width: 50vw}
  .vw-md-50 {width: 50vw !important}
  .min-vh-md-50 {min-height: 50vh}
  .vh-md-50 {height: 50vh !important}
  .w-md-75 {width: 75% !important}
  .h-md-75 {height: 75% !important}
  .mw-md-75 {max-width: 75% !important}
  .min-vw-md-75 {min-width: 75vw}
  .vw-md-75 {width: 75vw !important}
  .min-vh-md-75 {min-height: 75vh}
  .vh-md-75 {height: 75vh !important}
  .w-md-100 {width: 100% !important}
  .h-md-100 {height: 100% !important}
  .mw-md-100 {max-width: 100% !important}
  .min-vw-md-100 {min-width: 100vw}
  .vw-md-100 {width: 100vw !important}
  .min-vh-md-100 {min-height: 100vh}
  .vh-md-100 {height: 100vh !important}
  .w-md-auto {width: auto !important}
  .h-md-auto {height: auto !important}
}

@media (min-width: 992px) {
  .w-lg-25 {width: 25% !important}
  .h-lg-25 {height: 25% !important}
  .mw-lg-25 {max-width: 25% !important}
  .min-vw-lg-25 {min-width: 25vw}
  .vw-lg-25 {width: 25vw !important}
  .min-vh-lg-25 {min-height: 25vh}
  .vh-lg-25 {height: 25vh !important}
  .w-lg-50 {width: 50% !important}
  .h-lg-50 {height: 50% !important}
  .mw-lg-50 {max-width: 50% !important}
  .min-vw-lg-50 {min-width: 50vw}
  .vw-lg-50 {width: 50vw !important}
  .min-vh-lg-50 {min-height: 50vh}
  .vh-lg-50 {height: 50vh !important}
  .w-lg-75 {width: 75% !important}
  .h-lg-75 {height: 75% !important}
  .mw-lg-75 {max-width: 75% !important}
  .min-vw-lg-75 {min-width: 75vw}
  .vw-lg-75 {width: 75vw !important}
  .min-vh-lg-75 {min-height: 75vh}
  .vh-lg-75 {height: 75vh !important}
  .w-lg-100 {width: 100% !important}
  .h-lg-100 {height: 100% !important}
  .mw-lg-100 {max-width: 100% !important}
  .min-vw-lg-100 {min-width: 100vw}
  .vw-lg-100 {width: 100vw !important}
  .min-vh-lg-100 {min-height: 100vh}
  .vh-lg-100 {height: 100vh !important}
  .w-lg-auto {width: auto !important}
  .h-lg-auto {height: auto !important}
}

@media (min-width: 1200px) {
  .w-xl-25 {width: 25% !important}
  .h-xl-25 {height: 25% !important}
  .mw-xl-25 {max-width: 25% !important}
  .min-vw-xl-25 {min-width: 25vw}
  .vw-xl-25 {width: 25vw !important}
  .min-vh-xl-25 {min-height: 25vh}
  .vh-xl-25 {height: 25vh !important}
  .w-xl-50 {width: 50% !important}
  .h-xl-50 {height: 50% !important}
  .mw-xl-50 {max-width: 50% !important}
  .min-vw-xl-50 {min-width: 50vw}
  .vw-xl-50 {width: 50vw !important}
  .min-vh-xl-50 {min-height: 50vh}
  .vh-xl-50 {height: 50vh !important}
  .w-xl-75 {width: 75% !important}
  .h-xl-75 {height: 75% !important}
  .mw-xl-75 {max-width: 75% !important}
  .min-vw-xl-75 {min-width: 75vw}
  .vw-xl-75 {width: 75vw !important}
  .min-vh-xl-75 {min-height: 75vh}
  .vh-xl-75 {height: 75vh !important}
  .w-xl-100 {width: 100% !important}
  .h-xl-100 {height: 100% !important}
  .mw-xl-100 {max-width: 100% !important}
  .min-vw-xl-100 {min-width: 100vw}
  .vw-xl-100 {width: 100vw !important}
  .min-vh-xl-100 {min-height: 100vh}
  .vh-xl-100 {height: 100vh !important}
  .w-xl-auto {width: auto !important}
  .h-xl-auto {height: auto !important}
}

.w--1 {width: 0.25rem !important}
.w--2 {width: 0.5rem !important}
.w--3 {width: 0.75rem !important}
.w--4 {width: 1rem !important}
.w--5 {width: 1.25rem !important}
.w--6 {width: 1.5rem !important}
.w--8 {width: 2rem !important}
.w--10 {width: 2.5rem !important}
.w--12 {width: 3rem !important}
.w--14 {width: 3.5rem !important}
.w--16 {width: 4rem !important}
.w--18 {width: 4.5rem !important}
.w--20 {width: 5rem !important}
.w--24 {width: 6rem !important}
.w--32 {width: 8rem !important}
.w--40 {width: 10rem !important}
.w--48 {width: 12rem !important}
.w--56 {width: 14rem !important}
.w--64 {width: 16rem !important}
.w--96 {width: 24rem !important}
.w--128 {width: 32rem !important}

.h--1 {height: 0.25rem !important}
.h--2 {height: 0.5rem !important}
.h--3 {height: 0.75rem !important}
.h--4 {height: 1rem !important}
.h--5 {height: 1.25rem !important}
.h--6 {height: 1.5rem !important}
.h--8 {height: 2rem !important}
.h--10 {height: 2.5rem !important}
.h--12 {height: 3rem !important}
.h--14 {height: 3.5rem !important}
.h--16 {height: 4rem !important}
.h--18 {height: 4.5rem !important}
.h--20 {height: 5rem !important}
.h--24 {height: 6rem !important}
.h--32 {height: 8rem !important}
.h--40 {height: 10rem !important}
.h--48 {height: 12rem !important}
.h--56 {height: 14rem !important}
.h--64 {height: 16rem !important}
.h--96 {height: 24rem !important}
.h--128 {height: 32rem !important}

/* Fill colors */
.fill-none {
  fill: none !important;
}

.fill-primary {
  fill: #050CDD !important;
}

.fill-secondary {
  fill: #414455 !important;
}

.fill-success {
  fill: #21ce5b !important;
}

.fill-info {
  fill: #3fc4e3 !important;
}

.fill-warning {
  fill: #f3ed4f !important;
}

.fill-danger {
  fill: #ff5b5c !important;
}

.fill-light {
  fill: #f5f7f9 !important;
}

.fill-dark {
  fill: #1d1e29 !important;
}

.fill-white {
  fill: #fff !important;
}

.fill-gray-100 {
  fill: #f5f7f9 !important;
}

.fill-gray-200 {
  fill: #eaecf1 !important;
}

.fill-gray-300 {
  fill: #d8dde6 !important;
}

.fill-gray-400 {
  fill: #b2c0d0 !important;
}

.fill-gray-500 {
  fill: #8d9caf !important;
}

.fill-gray-600 {
  fill: #414455 !important;
}

.fill-gray-700 {
  fill: #333645 !important;
}

.fill-gray-800 {
  fill: #252734 !important;
}

.fill-gray-900 {
  fill: #1d1e29 !important;
}

/* Font size */
.fs-14 {font-size: 0.875rem}

/* Text decoration */
.text-underline {text-decoration: underline}
.text-none {text-decoration: none}
.text-none:hover {text-decoration: none}

/* Letter spacing */
.text-space-1 {letter-spacing: 1px}

/* Text colors */
.text-gray-100 {
  color: #f5f7f9 !important;
}

a.text-gray-100:hover, a.text-gray-100:focus {
  color: #c5d1dc !important;
}

.text-gray-200 {
  color: #eaecf1 !important;
}

a.text-gray-200:hover, a.text-gray-200:focus {
  color: #bcc2d2 !important;
}

.text-gray-300 {
  color: #d8dde6 !important;
}

a.text-gray-300:hover, a.text-gray-300:focus {
  color: #a9b4c8 !important;
}

.text-gray-400 {
  color: #b2c0d0 !important;
}

a.text-gray-400:hover, a.text-gray-400:focus {
  color: #8299b3 !important;
}

.text-gray-500 {
  color: #8d9caf !important;
}

a.text-gray-500:hover, a.text-gray-500:focus {
  color: #63758d !important;
}

.text-gray-600 {
  color: #414455 !important;
}

a.text-gray-600:hover, a.text-gray-600:focus {
  color: #20212a !important;
}

.text-gray-700 {
  color: #333645 !important;
}

a.text-gray-700:hover, a.text-gray-700:focus {
  color: #121419 !important;
}

.text-gray-800 {
  color: #252734 !important;
}

a.text-gray-800:hover, a.text-gray-800:focus {
  color: #050507 !important;
}

.text-gray-900 {
  color: #1d1e29 !important;
}

a.text-gray-900:hover, a.text-gray-900:focus {
  color: black !important;
}

.text-white-70 {
  color: rgba(255, 255, 255, 0.7) !important;
}

.text-white-80 {
  color: rgba(255, 255, 255, 0.8) !important;
}

.text-black-70 {
  color: rgba(0, 0, 0, 0.7) !important;
}

.text-black-80 {
  color: rgba(0, 0, 0, 0.8) !important;
}

/* z-index */
.zindex-0 {z-index: 0}
.zindex-1 {z-index: 1}
.zindex-2 {z-index: 2}
.zindex-3 {z-index: 3}
.zindex-4 {z-index: 4}
.zindex-5 {z-index: 5}
.zindex-555 {z-index: 555}
.zindex-5555 {z-index: 5555}
.zindex-n1 {z-index: -1}

/* Keyframes */
@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translate3d(0, 100%, 0);
  }
  to {
    opacity: 1;
    transform: translate3d(0, 0, 0);
  }
}

@keyframes fadeInUpBig {
  from {
    opacity: 0;
    transform: translate3d(0, 200%, 0);
  }
  to {
    opacity: 1;
    transform: translate3d(0, 0, 0);
  }
}

@keyframes fadeOutDown {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
    transform: translate3d(0, 100%, 0);
  }
}

@keyframes fadeOutDownBig {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
    transform: translate3d(0, 200%, 0);
  }
}

@keyframes fadeInRightBig {
  from {
    opacity: 0;
    transform: translate3d(2000px, 0, 0);
  }
  to {
    opacity: 1;
    transform: translate3d(0, 0, 0);
  }
}

@keyframes fadeOutRightBig {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
    transform: translate3d(2000px, 0, 0);
  }
}